#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive
#
%define		pdir	Quota
%define		pnam	Quota
Summary:	Quota - Perl interface to file system quotas
Summary(pl.UTF-8):	Quota - perlowy interfejs do quot systemów plików
Name:		perl-Quota
Version:	1.8.1
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Quota/%{pnam}-%{version}.tar.gz
# Source0-md5:	ce32e518e915d9549e0952d0f82a79d0
Patch0:		%{name}-paths.patch
Patch1:		%{name}-pic.patch
URL:		http://search.cpan.org/dist/Quota/
BuildRequires:	libtirpc-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Quota module provides access to file system quotas.  The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host.  Mount tables can
be parsed with getmntent and paths can be translated to device files
(or whatever the actual quotactl implementations needs as argument)
of the according file system.

%description -l pl.UTF-8
Moduł Quota daje dostęp do quot systemów plików. Używa wywołań
systemowych quotactl lub ioctl do sprawdzania lub ustawiania quot
lokalnych lub przesyła zapytania po RPC do zdalnej maszyny. Tablice
montowanych partycji mogą być analizowane poprzez getmntent, a ścieżki
tłumaczone na pliki urządzeń (lub cokolwiek, czego dana implementacja
quotactl wymaga jako parametru) odpowiadających im systemów plików.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# test is interactive
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -af contrib/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Quota.pm
%dir %{perl_vendorarch}/auto/Quota
%{perl_vendorarch}/auto/Quota/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Quota/Quota.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/[Rqr]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Quota.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> e396d74
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 00a1d91
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d3cc0bd
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5ca4484
- rebuild with perl 5.34.0

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 955f443
- up to 1.8.1

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a2f84ab
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> bca5cf7
- rebuild with perl 5.30.0
- release 5 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 3efc440
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8254591
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 77af69f
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Wed Nov 02 2016 Jan Rękorajski <baggins@pld-linux.org> 5d23bd1
- up to 1.7.2

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f683645
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 490296e
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8a942fa
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 51c8827
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 68e0e81
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fce89ac
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f625db5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 58e87b0
- up to 1.6.7

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> be7a2ce
- rel 4

